{% extends 'base.html' %}

{% block content %}

    <h2 class ="ml-1"> User info: </h2>
    <ul class="ml-1 pl-0">
        <li>Name: {{user.name}}</li>
        <li>Lastname: {{user.lastname}}</li>
        <li>Birth date: {{user.birth_date}}</li>
        <li>Email: {{user.email}}</li>
        <li>Department: {{user.dept}}</li>
        <li>Postion: {{user.position}}</li>
    </ul>
    <a class="ml-1 purple" href="{% url 'tlist:index' %}">USER LIST</a>
    <h3 class ="text-center red pb-2"> Uncompleted </h3>
    <ul class ="block-center">
    {% if uncompleted_tasks%}
      {% for task in uncompleted_tasks %}
      <li class="text-center grey"> <strong> Task#{{task.id}} </strong></li>
      <li> <strong>Name:</strong> {{ task.name }} </li>
      <li> <strong>Description:</strong> {{task.desc}}</li>
      <li class ="pb-4"> <strong>Deadline:</strong> {{task.deadline}}</li>
      <li> <a class="purple pt-0 mt-0" href="{% url 'tlist:comment' task.id%}"> Add comment </a> </li>
      {% endfor %}
    {% else %}
    <p class="text-center "> All tasks completed :)</p>
    {% endif %}
    </ul>

    <ul class="block-center"> 
      <h3 class ="text-center green pt-2"> Completed </h3   >
      {% for task in completed_tasks %}
          {% if completed_tasks %}
          <li class="grey text-center"> <strong> Task#{{task.id}} </strong></li>
          <li> <strong>Name:</strong> {{ task.name }} </li>
          <li> <strong>Description:</strong> {{task.desc}}</li>
          <li> <strong>Deadline:</strong> {{task.deadline}}</li>
          <li class="pb-4 {% if task.overdue%}underscored{% endif %}"> 
            <strong> Complete date: </strong> {{task.completed}}
          </li>
          <li > <a class="purple" href="{% url 'tlist:comment' task.id%}"> Add comment </a> </li>
          {% endif %}
      {% endfor %}
    </ul>

{% endblock %}